#include <iostream>

using namespace std;

int main()
{
    long long n,br=0;
    cin>>n;

    int cifra;
    while(n>0)
    {
        cifra=n%10;
        br+=(cifra/5);
        cifra%=5;
        br+=(cifra/2);
        cifra%=2;
        br+=cifra;
        n/=10;
    }

    cout<<br;
    return 0;
}